# Interface PassThroughOperation

All Superinterfaces:
  `CoordinateOperation, IdentifiedObject, SingleOperation`

All Known Implementing Classes:
  `DefaultPassThroughOperation`

@UML(identifier="CC_PassThroughOperation", specification=ISO_19111) public interface PassThroughOperation extends SingleOperation
A pass-through operation specifies that a subset of a coordinate tuple is subject to a specific coordinate operation.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface CoordinateOperation

  `COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, SCOPE_KEY`

  ### Fields inherited from interface IdentifiedObject

  `ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getModifiedCoordinates()`
  Ordered sequence of positive integers defining the positions in a coordinate tuple of the coordinates affected by this pass-through operation.
  `SingleOperation`
  `getOperation()`
  Returns the operation to apply on the subset of a coordinate tuple.

  ### Methods inherited from interface CoordinateOperation

  `getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getOperationVersion, getScope, getSourceCRS, getTargetCRS`

  ### Methods inherited from interface IdentifiedObject

  `getAlias, getIdentifiers, getName, getRemarks, toWKT`

  ### Methods inherited from interface SingleOperation

  `getMethod, getParameterValues`

- ## Method Details

  - ### getOperation

    @UML(identifier="coordOperation", obligation=MANDATORY, specification=ISO_19111) SingleOperation getOperation()
    Returns the operation to apply on the subset of a coordinate tuple.
    Returns:
      The operation to apply on the subset of a coordinate tuple.

  - ### getModifiedCoordinates

    @UML(identifier="modifiedCoordinate", obligation=MANDATORY, specification=ISO_19111) int[] getModifiedCoordinates()
    Ordered sequence of positive integers defining the positions in a coordinate tuple of the coordinates affected by this pass-through operation.
    Returns:
      The modified coordinates.